zenilib: zenilib/jni/external/freetype2/src/psaux/t1decode.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions | Variables
t1decode.h File Reference
`#include <ft2build.h>`
`#include <FT_INTERNAL_POSTSCRIPT_AUX_H>`
`#include <FT_INTERNAL_TYPE1_TYPES_H>`

Go to the source code of this file.

## Functions

| t1_decoder_done (T1_Decoder decoder)
| t1_decoder_init (T1_Decoder decoder, FT_Face face, FT_Size size, FT_GlyphSlot slot, FT_Byte **glyph_names, PS_Blend blend, FT_Bool hinting, FT_Render_Mode hint_mode, T1_Decoder_Callback parse_glyph)
| t1_decoder_parse_charstrings (T1_Decoder decoder, FT_Byte *base, FT_UInt len)
| t1_decoder_parse_glyph (T1_Decoder decoder, FT_UInt glyph_index)

## Variables

FT_BEGIN_HEADER FT_CALLBACK_TABLE const T1_Decoder_FuncsRec | t1_decoder_funcs

## Function Documentation

t1_decoder_done | ( | T1_Decoder | decoder | ) |

Definition at line 1608 of file t1decode.c.

References t1_builder_done().

t1_decoder_init | ( | T1_Decoder | decoder,
|  | FT_Face | face,
|  | FT_Size | size,
|  | FT_GlyphSlot | slot,
|  | FT_Byte ** | glyph_names,
|  | PS_Blend | blend,
|  | FT_Bool | hinting,
|  | FT_Render_Mode | hint_mode,
|  | T1_Decoder_Callback | parse_glyph
| ) |  |

Definition at line 1560 of file t1decode.c.

References FT_ERROR, FT_FACE_FIND_GLOBAL_SERVICE, FT_MEM_ZERO, t1_builder_init(), and t1_decoder_funcs.

t1_decoder_parse_charstrings | ( | T1_Decoder | decoder,
|  | FT_Byte * | base,
|  | FT_UInt | len
| ) |  |

Definition at line 355 of file t1decode.c.

References T1_BuilderRec_::advance, T1_Hints_FuncsRec_::apply, T1_Decoder_ZoneRec_::base, T1_Hints_FuncsRec_::close, T1_BuilderRec_::current, T1_Decoder_ZoneRec_::cursor, error, FALSE, Fix2Int, FT_ASSERT, FT_Bool, FT_DivFix(), FT_ERROR, FT_GlyphLoader_Add(), ft_memcpy, ft_memset, FT_MulFix(), FT_Pos, FT_TRACE0, FT_TRACE4, FT_TRACE5, FT_ULONG_MAX, FT_UNUSED, T1_Hints_FuncsRec_::hints, T1_BuilderRec_::hints_funcs, T1_BuilderRec_::hints_globals, i, idx, T1_BuilderRec_::left_bearing, T1_Decoder_ZoneRec_::limit, T1_BuilderRec_::loader, T1_BuilderRec_::metrics_only, FT_Outline_::n_points, NULL, PS_BlendRec_::num_designs, op_callothersubr, op_callsubr, op_closepath, op_div, op_dotsection, op_endchar, op_hlineto, op_hmoveto, op_hsbw, op_hstem, op_hstem3, op_hvcurveto, op_none, op_pop, op_return, op_rlineto, op_rmoveto, op_rrcurveto, op_sbw, op_seac, op_setcurrentpoint, op_unknown15, op_vhcurveto, op_vlineto, op_vmoveto, op_vstem, op_vstem3, T1_Hints_FuncsRec_::open, T1_BuilderRec_::parse_state, T1_BuilderRec_::pos_x, T1_BuilderRec_::pos_y, PostScript(), T1_Hints_FuncsRec_::reset, sizeof(), T1_Hints_FuncsRec_::stem, T1_Hints_FuncsRec_::stem3, t1_args_count, t1_builder_add_point(), t1_builder_add_point1(), t1_builder_check_points(), t1_builder_close_contour(), t1_builder_start_point(), T1_MAX_CHARSTRINGS_OPERANDS, T1_MAX_SUBRS_CALLS, T1_Parse_Have_Moveto, T1_Parse_Have_Path, T1_Parse_Have_Width, T1_Parse_Start, t1operator_seac(), TRUE, PS_BlendRec_::weight_vector, FT_Vector_::x, and FT_Vector_::y.

t1_decoder_parse_glyph | ( | T1_Decoder | decoder,
|  | FT_UInt | glyph_index
| ) |  |

Definition at line 1551 of file t1decode.c.

Referenced by t1operator_seac().

## Variable Documentation

FT_BEGIN_HEADER FT_CALLBACK_TABLE const T1_Decoder_FuncsRec t1_decoder_funcs

Definition at line 32 of file t1decode.h.